IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[V_EST_NF_ENT_DANFE_PROVISORIO_VALIDACAO_IMPOSTO_PENDENTE]'))
DROP VIEW [dbo].[V_EST_NF_ENT_DANFE_PROVISORIO_VALIDACAO_IMPOSTO_PENDENTE]
GO
--SELECT TOP 100 * FROM V_EST_NF_ENT_DANFE_PROVISORIO_VALIDACAO_IMPOSTO_PENDENTE 
CREATE VIEW [dbo].[V_EST_NF_ENT_DANFE_PROVISORIO_VALIDACAO_IMPOSTO_PENDENTE] AS
SELECT 
	E.CD_CTR,
	E.CD_EMP,
	E.CD_FILIAL,
	E.CD_FORN,
	E.NR_NF,
	E.VLR_NF,
	E.DT_EMIS_NF,
	E.DT_CAD,
	ISNULL(er.CD_CTR,0) AS ERROS
FROM 
	EST_NF_ENT_DANFE_PROVISORIO e INNER JOIN EST_NF_ENT_DANFE_PROVISORIO_CHECKIN_ENTRADA D_PROV_CHK ON
	E.CD_CTR = D_PROV_CHK.CD_CTR  
	LEFT OUTER JOIN EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_IMPOSTO_ERROS_VALIDACAO er ON
	E.CD_CTR = er.CD_CTR
WHERE
	EXISTS (SELECT
				CD_CTR
			FROM		
					EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_IMPOSTO_PENDENTE epi 

				WHERE
					e.CD_CTR = epi.CD_CTR)